@mixin f-s($value: antialiased) {
	@if $value==antialiased {
		text-rendering: optimizeLegibility;
		-webkit-font-smoothing: antialiased;
		-moz-osx-font-smoothing: grayscale;
	}
	@else {
		-webkit-font-smoothing: subpixel-antialiased;
		-moz-osx-font-smoothing: auto;
	}
}

@mixin styled-list($color: $accent1) {
	margin: 0 0 27px;
	padding: 0;
	li{
		margin: 0 0 4px;
		padding: 0 0 0 27px;
		list-style-type: none;
		&:before{
			content: "\25CF";
			display: inline-block;
			color: $color;
			padding: 0;
			margin-left: -20px;
			width: 20px;
			vertical-align: top;
			zoom: 1;
		}
	}
}

@mixin css-var{
	.css-var &{
		@content;
	}
}

@function rem($pixels, $context: 10px) {
	@return #{$pixels/$context}rem;
}

@function un2px($rem, $context: 10px) {
	@return #{$rem * 10}px;
}

@mixin reset-btn{
	cursor: pointer;
	appearance: none;
	border: none;
	background-color: transparent;
	padding: 0;
	margin: 0;
	outline: none;
	@include link_hfa{
		outline: none;
	}
}

@import "breakpoints/breakpoints";
@import "transitions/transitions";
@import "touch/touch";
@import "actions/actions";

@import "critical/critical";

@import "cross/cross";
@import "links/links";
@import "pixel-device-ratio/retina";

@import "video/video";

@import "positions/positions";

@import "ie/ie9";

@mixin m-md($mtype: 'min'){
	@if ($mtype == "max") {
		@media (min-width: 1024px) and (max-width: #{1280px + 1px}) and (max-height: 700px) {
			@content;
		}
	}
	@else {
		@media (min-width: #{1280px}) and (min-height: 700px) {
			@content;
		}
	}
}
@mixin m-lg($mtype: 'min'){
	@if ($mtype == "max") {
		@media (min-width: 1024px) and (max-width: #{1366px + 1px}) and (max-height: 800px) and (orientation: portrait) {
			@content;
		}
	}
	@else {
		@media (min-width: #{1366px}) and (min-height: 800px) {
			@content;
		}
	}
}

/*
@import "mixins/critical-mixin";
@import "mixins/breakpoints";
@import "mixins/transitions";
@import "mixins/actions";
@import "mixins/media-print";
//
@import "mixins-special";

@import "mixins/cross";
@import "mixins/links";
@import "mixins/positions";
@import "mixins/pseudo";
@import "mixins/touch";
@import "mixins/retina";
@import "mixins/video";

@mixin img-responsive{
	display: block;
	max-width: 100%;
}

@mixin reset-list($li_mb: false){
	list-style: none;
	padding: 0;
	margin: 0;
	@if $li_mb==false {
		
	}
	@else{
		li{
			margin-bottom: $li_mb;
		}
	}
}

.scroll-mode{
	overflow-y: auto !important;
	@media screen and (min-width: 992px) {
		overflow-y: auto !important;
		overflow-anchor: none;
		&::-webkit-scrollbar-track {
			background-color: transparent;
		}
		&::-webkit-scrollbar {
			width: 2px;
			background-color: transparent;
		}
		&::-webkit-scrollbar-thumb {
			border-radius: 2px;
			background-color: $a1;
			transition: background-color 300ms ease;
		}
	}
}

@import "ie/ie9"
*/